Skip to content
POST/{organizationId}/{mandateId}/finance/accounts/debtors/{debtorId}/billing

Update debtor billing

Updates billing-related fields of a specific debtor by its id

Required permissions:

  • mandate.read

  • debtor.edit

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
debtorIdstringrequired

Request Body required

Content-Type: application/json

receiptSendMethodstringrequired

Options:

noneemailpostal
disableAutomaticRemindersbooleanrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounts/debtors/{debtorId}/billing
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounts/debtors/{debtorId}/billing' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "",
  "receiptSendMethod": "none",
  "address": {
    "country": "string",
    "zip": "string",
    "city": "string",
    "addressLine": "string"
  },
  "disableAutomaticReminders": true
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}